curl --request POST \
--url https://www.trysignalbase.com/api/v2/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Key accounts",
"signal_types": [
"funding_round",
"hiring"
],
"webhook_url": "https://example.com/hooks/signalbase"
}
'import requests
url = "https://www.trysignalbase.com/api/v2/monitors"
payload = {
"name": "Key accounts",
"signal_types": ["funding_round", "hiring"],
"webhook_url": "https://example.com/hooks/signalbase"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Key accounts',
signal_types: ['funding_round', 'hiring'],
webhook_url: 'https://example.com/hooks/signalbase'
})
};
fetch('https://www.trysignalbase.com/api/v2/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "29681a72-ed3d-41a8-b119-2c2942b34996",
"name": "Key accounts",
"signal_types": [
"funding_round",
"hiring"
],
"active": true,
"webhook": {
"id": "4141b666-835e-482d-8074-22c02eaf196a",
"endpoint_url": "https://example.com/hooks/signalbase",
"secret": "e34f1ba3-fcc9-4519-a58d-b1193e1fae44"
},
"stats": {
"targets": 0,
"resolved_targets": 0,
"signals_30d": 0,
"last_delivery_at": null
},
"created_at": "2026-09-20T13:10:38.502Z",
"updated_at": "2026-09-20T13:10:38.502Z"
},
"meta": {
"endpoint": "monitors.create",
"creditsUsed": 0
}
}{
"success": false,
"error": "signal_types must be a non-empty array of: funding_round, acquisition, job_change, hiring",
"code": "bad_request"
}{
"success": false,
"error": "Invalid API key. No key found.",
"code": "invalid_api_key"
}{
"success": false,
"error": "Subscription expired. Please upgrade your subscription: https://www.trysignalbase.com/#pricing",
"code": "subscription_expired"
}{
"success": false,
"error": "Too many requests. Please upgrade your plan or slow down.",
"code": "rate_limited",
"retryAfter": 60
}{
"success": false,
"error": "An unknown error occurred",
"code": "internal_error"
}Create Monitor
Create a monitor for the authenticated team. A monitor starts empty — add targets with Add Targets. If you pass webhook_url, a dedicated webhook subscription is created for the monitor and its signing secret is returned exactly once, in this response (data.webhook.secret). Omit webhook_url for an email-only monitor. Free (0 credits). A team may have at most 20 monitors.
Authorizations
Signalbase API key. Include as a Bearer token in the Authorization header.
Body
Display name, e.g. "Key accounts".
1 - 255Signal types to deliver. At least one.
1A signal type a monitor can listen for. funding_round = the company raised a round; acquisition = the company acquired or was acquired; job_change = someone joined or left the company; hiring = the company posted a new job.
funding_round, acquisition, job_change, hiring Publicly reachable endpoint to receive this monitor's signals. Private, loopback, and link-local addresses are rejected. Omit for an email-only monitor.
500